Update callback rules¶
Update a saved callback rule.
PATCH $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/callback-rules/{callback_rule_id}
Before you call this API¶
Configure the regional API endpoint and authentication, and select the target workspace.
Set the operation-specific values used in the request: $CALLBACK_RULE_ID.
Request¶
curl -X PATCH "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/callback-rules/$CALLBACK_RULE_ID" \
-H "X-API-Key: $CLOUDSIGMA_API_KEY" \
-H "X-Workspace-ID: $WORKSPACE_ID" \
-H 'Content-Type: application/json' \
-d '{
"name": "Issue 回调",
"version": 1
}'
Request body
Parameters |
Type |
Is it required |
Description |
|---|---|---|---|
|
string |
No |
Callback rule name. |
|
string |
No |
Callback rule description. |
|
boolean |
No |
Whether to enable the rule. |
|
integer |
No |
Match priority. |
|
object |
No |
Matching criteria, which can include |
|
string |
No |
Callback target type. |
|
object |
No |
Callback target configuration. |
|
boolean |
No |
Whether to stop matching after hitting this rule. |
|
integer |
Yes |
The rule version to update. |
Successful response¶
Returns 200 and updated rules on success.
{"code":0,"data":{"id":"rule_01"}}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
string |
Callback rule ID. |
Error response¶
{"code":5,"message":"callback rule not found"}